Package org.htmlunit.html

# Class DomText

java.lang.Object
org.htmlunit.html.DomNode
org.htmlunit.html.DomCharacterData
org.htmlunit.html.DomText

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `CharacterData`, `Node`, `Text`

Direct Known Subclasses:
  `DomCDataSection`

public class DomText extends DomCharacterData implements Text
Representation of a text node in the HTML DOM.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.htmlunit.html.DomNode

  `DomNode.ChildIterator, DomNode.DescendantDomElementsIterator, DomNode.DescendantDomNodesIterator, DomNode.DescendantElementsIterator<T extends DomNode>, DomNode.DescendantHtmlElementsIterator`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NODE_NAME`
  The symbolic node name.

  ### Fields inherited from class org.htmlunit.html.DomNode

  `PROPERTY_ELEMENT, READY_STATE_COMPLETE, READY_STATE_INTERACTIVE, READY_STATE_LOADED, READY_STATE_LOADING, READY_STATE_UNINITIALIZED`

  ### Fields inherited from interface org.w3c.dom.Node

  `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DomText(SgmlPage page, String data)`
  Creates an instance of DomText.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `acceptChar(char c)`
  Indicates if the provided character can by "typed" in the element.
  `DomNode`
  `cloneNode(boolean deep)`
  `protected DomText`
  `createSplitTextNode(int offset)`
  Creates a new text node split from another text node.
  `protected void`
  `doType(char c, HtmlElement htmlElement, boolean lastType)`
  Performs the effective type action, called after the keyPress event and before the keyUp event.
  `protected void`
  `doType(int keyCode, HtmlElement htmlElement, boolean lastType)`
  Performs the effective type action, called after the keyPress event and before the keyUp event.
  `String`
  `getNodeName()`
  `short`
  `getNodeType()`
  `String`
  `getWholeText()`
  `boolean`
  `isElementContentWhitespace()`
  Not yet implemented.
  `void`
  `moveSelectionToEnd()`
  Moves the selection to the end.
  `protected void`
  `printXml(String indent, PrintWriter printWriter)`
  Recursively writes the XML data for the node tree starting at `node`.
  `Text`
  `replaceWholeText(String content)`
  Not yet implemented.
  `void`
  `setPrefix(String prefix)`
  `DomText`
  `splitText(int offset)`
  `String`
  `toString()`
  Gives a simple representation to facilitate debugging.

  ### Methods inherited from class org.htmlunit.html.DomCharacterData

  `appendData, deleteData, getCanonicalXPath, getData, getLength, getNodeValue, insertData, replaceData, setData, setNodeValue, setTextContent, substringData`

  ### Methods inherited from class org.htmlunit.html.DomNode

  `addCharacterDataChangeListener, addDomChangeListener, appendChild, asNormalizedText, asXml, basicRemove, checkChildHierarchy, closest, compareDocumentPosition, detach, fireCharacterDataChanged, fireNodeAdded, fireNodeDeleted, getAncestors, getAttributes, getBaseURI, getByXPath, getByXPath, getChildNodes, getChildren, getDescendants, getDomElementDescendants, getEndColumnNumber, getEndLineNumber, getFeature, getFirstByXPath, getFirstByXPath, getFirstChild, getHtmlElementDescendants, getHtmlPageOrNull, getIndex, getLastChild, getLocalName, getNamespaceURI, getNextElementSibling, getNextSibling, getOwnerDocument, getPage, getParentNode, getPrefix, getPreviousElementSibling, getPreviousSibling, getReadyState, getScriptableObject, getSelectorList, getStartColumnNumber, getStartLineNumber, getTextContent, getUserData, getVisibleText, handles, hasAttributes, hasChildNodes, hasFeature, insertBefore, insertBefore, isAncestorOf, isAncestorOfAny, isAttachedToPage, isDefaultNamespace, isDisplayed, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, mayBeDisplayed, normalize, notifyIncorrectness, onAddedToDocumentFragment, onAddedToPage, onAllChildrenAddedToPage, parseHtmlSnippet, printChildrenAsXml, processImportNode, querySelector, querySelectorAll, quietlyRemoveAndMoveChildrenTo, remove, removeAllChildren, removeCharacterDataChangeListener, removeChild, removeDomChangeListener, replace, replaceChild, setEndLocation, setParentNode, setReadyState, setScriptableObject, setStartLocation, setUserData`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.w3c.dom.CharacterData

  `appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

  ### Methods inherited from interface org.w3c.dom.Node

  `appendChild, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setTextContent, setUserData`

- ## Field Details

  - ### NODE_NAME

    public static final String NODE_NAME
    The symbolic node name.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DomText

    public DomText(SgmlPage page, String data)
    Creates an instance of DomText.
    Parameters:
      `page` - the Page that contains this element
      `data` - the string data held by this node

- ## Method Details

  - ### splitText

    public DomText splitText(int offset)
    Specified by:
      `splitText` in interface `Text`

  - ### createSplitTextNode

    protected DomText createSplitTextNode(int offset)
    Creates a new text node split from another text node. This method allows the derived type of the new text node to match the original node type.
    Parameters:
      `offset` - the character position at which to split the DomText node
    Returns:
      the newly created Text node

  - ### isElementContentWhitespace

    public boolean isElementContentWhitespace()
    Not yet implemented.
    Specified by:
      `isElementContentWhitespace` in interface `Text`

  - ### getWholeText

    public String getWholeText()
    Specified by:
      `getWholeText` in interface `Text`

  - ### replaceWholeText

    public Text replaceWholeText(String content) throws DOMException
    Not yet implemented.
    Specified by:
      `replaceWholeText` in interface `Text`
    Throws:
      `DOMException`

  - ### getNodeType

    public short getNodeType()
    Specified by:
      `getNodeType` in interface `Node`
    Returns:
      the node type constant, in this case `Node.TEXT_NODE`

  - ### getNodeName

    public String getNodeName()
    Specified by:
      `getNodeName` in interface `Node`
    Returns:
      the node name, in this case `NODE_NAME`

  - ### printXml

    protected void printXml(String indent, PrintWriter printWriter)
    Recursively writes the XML data for the node tree starting at `node`.
    Overrides:
      `printXml` in class `DomNode`
    Parameters:
      `indent` - white space to indent child nodes
      `printWriter` - writer where child nodes are written

  - ### toString

    public String toString()
    Gives a simple representation to facilitate debugging.
    Overrides:
      `toString` in class `Object`
    Returns:
      a simple representation

  - ### doType

    protected void doType(char c, HtmlElement htmlElement, boolean lastType)
    Performs the effective type action, called after the keyPress event and before the keyUp event.
    Parameters:
      `c` - the character you with to simulate typing
      `htmlElement` - the element in which typing occurs
      `lastType` - is this the last character to type

  - ### doType

    protected void doType(int keyCode, HtmlElement htmlElement, boolean lastType)
    Performs the effective type action, called after the keyPress event and before the keyUp event.
    Parameters:
      `keyCode` - the key code wish to simulate typing
      `htmlElement` - the element in which typing occurs
      `lastType` - is this the last character to type

  - ### acceptChar

    protected boolean acceptChar(char c)
    Indicates if the provided character can by "typed" in the element.
    Parameters:
      `c` - the character
    Returns:
      `true` if it is accepted

  - ### cloneNode

    public DomNode cloneNode(boolean deep)
    Specified by:
      `cloneNode` in interface `Node`
    Overrides:
      `cloneNode` in class `DomNode`

  - ### moveSelectionToEnd

    public void moveSelectionToEnd()
    Moves the selection to the end.

  - ### setPrefix

    public void setPrefix(String prefix)
    Specified by:
      `setPrefix` in interface `Node`